package cn.com.countrygarden.bi.main.service.districtReport;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.districtReport.RdDistrictProjectMp;
/**
 * 片区erp项目对应-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdDistrictProjectMpService {

    Result queryPageList(RdDistrictProjectMp rdDistrictProjectMp, int page, int size);

    Result queryById(Integer id);

    Result add(RdDistrictProjectMp rdDistrictProjectMp, AccessToken accessToken);

    Result edit(RdDistrictProjectMp rdDistrictProjectMp, AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken,String updateName);

    Result checkMp(String regionCode,AccessToken accessToken);
}